> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Payment Methods

GET https://api-b2b.bigcommerce.com/api/v3/io/payments

Returns a list of all payment methods available on the store.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/payment/get-payments

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Response

### 200

SUCCESS

- `code` (integer, optional, default: 200) — Operation status code.
- `data` (list of PaymentsGetResponsesContentApplicationJsonSchemaDataItems, optional)
- `meta` (PaymentsGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### PaymentsGetResponsesContentApplicationJsonSchemaDataItems

- `id` (integer, optional) — The unique numeric ID for the payment method.
- `paymentCode` (string, optional) — The string identifying the processor for the payment.
- `paymentTitle` (string, optional) — The label for the payment displayed to customers.

### PaymentsGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: Success) — Human-readable status message.

## Examples

**Response**

```json
{
  "code": 200,
  "data": [
    {
      "id": 1,
      "paymentCode": "bigpaypay",
      "paymentTitle": "Pay in Store"
    },
    {
      "id": 2,
      "paymentCode": "cheque",
      "paymentTitle": "Check"
    },
    {
      "id": 3,
      "paymentCode": "authorizenet",
      "paymentTitle": "Authorize.net"
    }
  ],
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python Payment_get-payments_example
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/payments"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Payment_get-payments_example
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/payments';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Payment_get-payments_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/payments"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Payment_get-payments_example
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/payments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Payment_get-payments_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/payments")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php Payment_get-payments_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/payments', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Payment_get-payments_example
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/payments");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Payment_get-payments_example
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/payments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```